Open topic with navigation

TIBCO ActiveMatrix® Service Grid - Container Edition 1.0.0

# SOAP Binding Reference

You can specify the endpoint, SOAP defaults, service transport, and reference transport for the binding node. You can specify the SOAP general configuration for the operation node and the part list for the input or output message node.

Binding - Service
Field | Required? | Editable? | Description
--- | --- | --- | ---
Name | Y | Y | The name of the binding.

Transport Configuration
Field | Required? | Editable? | Accepts SVARs? | Description
--- | --- | --- | --- | ---
HTTP
Transport Type | Y | Y | N | Type of transport supported by the binding: HTTP or JMS.
Endpoint URI | Y | Y | N | The endpoint URI. This field is populated from the SOAP address element of the WSDL port associated with the SOAP-HTTP service binding.
Connector Name | Y | Y | Y | The name of the HTTP connector resource that provides incoming transport services. Default: None
Session Inactivity Timeout (s) | N | Y | N | The time before an invocation of the endpoint times out. Default: 60
JMS
Transport Type | Y | Y | N | The type of transport supported by the binding: HTTP or JMS.
Message Type | Y | Y | N | The type of the message content: Text or Bytes. Default: Text
Binding Specification | Y | Y | N | The binding specification supported: TIBCO SOAP/JMS or W3C SOAP/JMS. Default: TIBCO SOAP/JMS
JMS - Inbound Configuration
Acknowledgement Mode | Y | N | N | The acknowledgment mode for incoming messages. Set to Auto, meaning that the message is automatically acknowledged when it is received. Default: AUTO_ACKNOWLEDGE
JMS Connection Factory | Y | Y | N | A JMS Connection Factory
JMS Destination | Y | Y | N | A JMS Destination Note: Only queues are supported for SOAP/JMS. Topics are not supported.
JMS - Outbound Configuration
JMS Connection Factory | Y | Y | N | A JMS Connection Factory
Delivery Mode | N | Y | N | The delivery mode of messages: Persistent Messages are stored and forwarded. Non-Persistent Messages are not stored and may be lost due to failure. Default: Persistent
Message Priority | N | Y | N | The priority of the message. Valid value range: 0-9 Higher numbers signify a higher priority (that is, 9 is a higher priority than 8). Default: 4
Message Expiration | N | Y | N | The time for which a message can remain active. Default: 0 (that is, the message does not expire)
Correlation Scheme | Y | Y | N | Scheme which identifies the correlation scheme used when sending reply messages. MessageID to CorrelationID — Message ID of the request message is copied to the Correlation ID of the response message. CorrelationID to CorrelationID — Correlation ID of the request message is copied to the Correlation ID of the response message. Infer from Request — If the CorrelationID is present in the incoming Request Message, the CorrelationID of the incoming Request Message is copied to the CorrelationID of the outgoing Response Message. If the CorrelationID is absent in the incoming Request Message, the MessageID of the incoming Request Message (which is always present) is copied to CorrelationID of the outgoing Response Message. Default: MessageID to CorrelationID

SOAP Default Configuration
Field | Required? | Editable? | Accepts SVARs? | Description
--- | --- | --- | --- | ---
Description | N | Y | N | A description of the binding.
SOAP Version | Y | Y | N | The version of the SOAP specification: 1.1 or 1.2 Default: 1.1
Style | Y | Y | N | The SOAP binding style: Document or RPC Default: Document
Encoding | Y | N | N | The encoding type for the body of the SOAP input and output messages. Set to Literal.
Target NameSpace | N | Y | N | The target namespace for a concrete WSDL file for the service.
Enable Request Message Validation | N | Y | Y | Schema validations can be enabled for SOAP Binding by using this field. The validations can be enabled or disabled by selecting true and false values from the drop-down list respectively. The field can also be configured as Substitution Variables by selecting the SVAR option. Selecting the SVAR option enables a text box where you can enter the name of the Substitution Variable. Default: FALSE
Enable Response Message Validation | N | Y | Y | Schema validations can be enabled for SOAP Binding by using this field. The validations can be enabled or disabled by selecting true and false values from the drop-down list respectively. The field can also be configured as Substitution Variables by selecting the SVAR option. Selecting the SVAR option enables a text box where you can enter the name of the Substitution Variable. Default: FALSE
Sender Identifier Expression | N | Y | Y | This field contains an XPath expression, which identifies the sender (client or reference application). This XPath expression is used at runtime (when a SOAP Request is sent to the SOAP service endpoint) to extract the sender identification information.

Operation Configuration
Field | Required? | Editable? | Accepts SVARs? | Description
--- | --- | --- | --- | ---
Style | Y | Y | N | The SOAP binding style: Document or RPC. Default: Document
Encoding | N | N | N | The encoding type for the body of the SOAP input and output messages. Set to Literal.
Sender Identifier Expression | N | Y | Y | This field contains an XPath expression, which identifies the sender (client or reference application). This XPath expression is used at runtime (when a SOAP Request is sent to the SOAP service endpoint) to extract the sender identification information.

The following is displayed only when you click INPUT/OUTPUT:

Part List in the Input/Output Message Node
Field | Description
--- | ---
Part Name | The name of the message part.
Part Type | The type of the message part: Body or Header.

Copyright © 2020-2021. TIBCO Software Inc. All Rights Reserved.